#!/bin/sh

MPOINT=$1
UUID=$2
CLEAN=0
[ "$3" = "clean" ] && CLEAN=1

# configs cleanup
if [ $CLEAN = 1 ]; then
    if [ -f $MPOINT/configs/extlinux.conf.default ]; then
        cp $MPOINT/configs/extlinux.conf.default $MPOINT/boot/extlinux.conf
    elif [ -f /cdrom/configs/extlinux.conf.default ]; then
        cp /cdrom/configs/extlinux.conf.default $MPOINT/boot/extlinux.conf
    fi
    if [ -f $MPOINT/configs/boot.cfg.default ]; then
        cp $MPOINT/configs/boot.cfg.default $MPOINT/boot.cfg
    elif [ -f /cdrom/configs/boot.cfg.default ]; then
        cp /cdrom/configs/boot.cfg.default $MPOINT/boot.cfg
    fi
    if [ -f $MPOINT/etc/network/interfaces.bak ]; then
        mv $MPOINT/etc/network/interfaces.bak $MPOINT/etc/network/interfaces
    fi

    rm -f $MPOINT/lock.cfg
    rm -f $MPOINT/lconfeditor-stamp
fi

# persistance cleanup
rm -f $MPOINT/.rw/etc/udev/rules.d/70-persistent-net.rules

# UUID handling
sed -i "s,rootdevice=[^ ]*,," $MPOINT/boot/extlinux.conf
line=$(grep -m 1 "^append" $MPOINT/boot/extlinux.conf)
sed -ri "s,($line),\\1 rootdevice=UUID=$UUID," $MPOINT/boot/extlinux.conf

